nls.control {nls} | R Documentation

## Control the Iterations in nls

### Description

Allow the user to set some characteristics of the `nls` nonlinear least squares algorithm.

### Usage

    nls.control(maxiter=50, tol=1e-05, minFactor=1/1024)

### Arguments

`maxiter` | A positive integer specifying the maximum number of iterations allowed.
`tol` | A positive numeric value specifying the tolerance level for the relative offset convergence criterion.
`minFactor` | A positive numeric value specifying the minimum step-size factor allowed on any step in the iteration. The increment is calculated with a Gauss-Newton algorithm and successively halved until the residual sum of squares has been decreased or until the step-size factor has been reduced below this limit.

### Value

A `list` with exactly three components:

`maxiter` |
`tol` |
`minFactor` |

### Author(s)

Douglas Bates and Saikat DebRoy

### References

Bates and Watts (1988), Nonlinear Regression Analysis and Its Applications, Wiley.

### See Also

`nls`

### Examples

    nls.control(minFactor = 1/2048)